/*
 *   ORXONOX - the hottest 3D action shooter ever to exist
 *                    > www.orxonox.net <
 *
 *
 *   License notice:
 *
 *   This program is free software; you can redistribute it and/or
 *   modify it under the terms of the GNU General Public License
 *   as published by the Free Software Foundation; either version 2
 *   of the License, or (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program; if not, write to the Free Software
 *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 *
 *   Author:
 *      Fabien Vultier
 *   Co-authors:
 *      ...
 *
 */

/**
    @file SOBFlagstone.h
    @brief Declaration of the SOBFlagstone class.
    @ingroup SOB
*/

#ifndef _SOBFlagstone_H__
#define _SOBFlagstone_H__

#include "superorxobros/SOBPrereqs.h"
#include "worldentities/MovableEntity.h"


namespace orxonox
{
    class _SOBExport SOBFlagstone : public MovableEntity
    {
        public:
            SOBFlagstone(Context* context);
            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override;
            virtual  bool collidesAgainst(WorldEntity* otherObject, const btCollisionShape* ownCollisionShape, btManifoldPoint& contactPoint) override;

            void setPoints(int points) {
                points_ = points;
            }
            int getPoints() {
                return points_;
            }

      
            bool hasCollided_;
        protected:
            int points_;
    };
}

#endif /* _SOBFlagstone_H__ */
